#include <bits/stdc++.h>
#define rep(i,a,b) for(int i=a,i##end=b;i<=i##end;i++)
#define drep(i,a,b) for(int i=a,i##end=b;i>=i##end;i--)
inline int read() {
	int x=0,f=1;char c=getchar();
	while(c<48||c>57){if(c=='-')f=-1;c=getchar();}
	while(c>=48&&c<=57)x=(x<<1)+(x<<3)+(c^48),c=getchar();
	return x*f;
}

void solve() {
}
int main() {
	freopen("dfs.in","r",stdin),freopen("dfs.out","w",stdout);
	int T=read();
	while(T--)solve();
	return 0;
}
/*
后之览者，亦将有感于斯文 
*/
